<?php namespace Buzmate\Panthermiki\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateBuzmatePanthermikiProductCategories extends Migration
{
    public function up()
    {
        Schema::create('webmors_catalog_product_category', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->text('name')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('webmors_catalog_product_category');
    }
}
