<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateWebmorsCatalogSection extends Migration
{
    public function up()
    {
        Schema::create('webmors_catalog_section', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->text('title');
            $table->text('contentslug');
            $table->text('description');
            $table->text('listitems');
            $table->text('gallery');
            $table->text('accorditems');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('webmors_catalog_section');
    }
}
