<?php namespace Buzmate\Panthermiki\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateBuzmatePanthermikiProducts17 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->text('manufacturer_name');
            $table->text('manufacturer_logo');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->dropColumn('manufacturer_name');
            $table->dropColumn('manufacturer_logo');
        });
    }
}
