<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsCatalogSection4 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_section', function($table)
        {
            $table->integer('tabsection_id')->nullable(false)->change();
            $table->integer('product_id')->nullable(false)->change();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_section', function($table)
        {
            $table->integer('tabsection_id')->nullable()->change();
            $table->integer('product_id')->nullable()->change();
        });
    }
}
