<?php namespace Webmors\Webconfig\Models;

use Model;

/**
 * Model
 */
class Page extends Model
{
    use \October\Rain\Database\Traits\Validation;
    
    use \October\Rain\Database\Traits\SoftDelete;

    protected $dates = ['deleted_at'];


    /**
     * @var string The database table used by the model.
     */
    public $table = 'webmors_webconfig_pages';

    /**
     * @var array Validation rules
     */
    public $rules = [
    ];

    public $implement = ['RainLab.Translate.Behaviors.TranslatableModel'];

    public $translatable = ['hero_repeater','home_h1','home_h2','home_intro_text','home_facts_repeater','home_new_yachts_title','home_new_text','home_pre_yachts_title','home_pre_yachts_text','home_services_text','home_cta_repeater','home_sailing_school_title','home_sailing_school_text','home_yacht_management_title','home_yacht_management_repeater','home_news_title','home_about_title','about_text','home_about_repeater','section1','contact_title','contact_text','contact_location_repeater','section2','contact_depart_repeater']; 

    protected $jsonable = ['hero_repeater', 'home_about_repeater', 'home_facts_repeater', 'home_yacht_management_repeater', 'contact_location_repeater', 'contact_depart_repeater', 'home_cta_repeater','about_repeater','about_repeater2'];
}
