<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateWebmorsWebconfigLegal extends Migration
{
    public function up()
    {
        Schema::create('webmors_webconfig_legal', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->text('terms')->nullable();
            $table->text('privacy')->nullable();
            $table->text('legal')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('webmors_webconfig_legal');
    }
}
