<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsWebconfigLegal extends Migration
{
    public function up()
    {
        Schema::table('webmors_webconfig_legal', function($table)
        {
            $table->text('terms_image')->nullable();
            $table->text('privacy_image')->nullable();
            $table->text('legal_image')->nullable();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_webconfig_legal', function($table)
        {
            $table->dropColumn('terms_image');
            $table->dropColumn('privacy_image');
            $table->dropColumn('legal_image');
        });
    }
}
