<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsWebconfigPages15 extends Migration
{
    public function up()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->text('home_h2')->nullable()->change();
            $table->text('home_new_text')->nullable()->change();
            $table->text('home_services_text')->nullable()->change();
            $table->text('home_intro_text')->nullable()->change();
            $table->text('contact_title')->nullable()->change();
            $table->text('contact_text')->nullable()->change();
            $table->text('about_text')->nullable()->change();
            $table->text('home_intro_image')->nullable()->change();
            $table->text('about_hero')->nullable()->change();
            $table->text('about_repeater')->nullable()->change();
            $table->text('about_repeater2')->nullable()->change();
            $table->text('about_repeater_image')->nullable()->change();
            $table->text('about_repeater2_image')->nullable()->change();
            $table->text('about_intro_image')->nullable()->change();
            $table->text('about_repeater2_title')->nullable()->change();
            $table->text('about_repeater2_text')->nullable()->change();
            $table->text('home_about_text')->nullable()->change();
            $table->text('about_intro_title')->nullable()->change();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->text('home_h2')->nullable(false)->change();
            $table->text('home_new_text')->nullable(false)->change();
            $table->text('home_services_text')->nullable(false)->change();
            $table->text('home_intro_text')->nullable(false)->change();
            $table->text('contact_title')->nullable(false)->change();
            $table->text('contact_text')->nullable(false)->change();
            $table->text('about_text')->nullable(false)->change();
            $table->text('home_intro_image')->nullable(false)->change();
            $table->text('about_hero')->nullable(false)->change();
            $table->text('about_repeater')->nullable(false)->change();
            $table->text('about_repeater2')->nullable(false)->change();
            $table->text('about_repeater_image')->nullable(false)->change();
            $table->text('about_repeater2_image')->nullable(false)->change();
            $table->text('about_intro_image')->nullable(false)->change();
            $table->text('about_repeater2_title')->nullable(false)->change();
            $table->text('about_repeater2_text')->nullable(false)->change();
            $table->text('home_about_text')->nullable(false)->change();
            $table->text('about_intro_title')->nullable(false)->change();
        });
    }
}
