<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsWebconfigPages9 extends Migration
{
    public function up()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->text('about_text');
            $table->renameColumn('conctact_title', 'contact_title');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->dropColumn('about_text');
            $table->renameColumn('contact_title', 'conctact_title');
        });
    }
}
