<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateWebmorsCatalogTabsection extends Migration
{
    public function up()
    {
        Schema::create('webmors_catalog_tabsection', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->text('slug');
            $table->text('name');
            $table->integer('sort_order');
            $table->integer('tab_id');
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('webmors_catalog_tabsection');
    }
}
