<?php namespace Buzmate\Panthermiki\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateBuzmatePanthermikiProducts13 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->text('features_repeater');
            $table->text('preview_image');
            $table->text('cover');
            $table->text('price');
            $table->text('video_link');
            $table->text('video_poster');
            $table->text('video_caption');
            $table->text('accordion_repeater');
            $table->text('gallery_repeater');
            $table->text('contact_name');
            $table->text('contact_phone');
            $table->text('contact_email');
            $table->text('contact_title');
            $table->dropColumn('description');
            $table->dropColumn('file');
            $table->dropColumn('sku');
            $table->dropColumn('specifications');
            $table->dropColumn('benefits');
            $table->dropColumn('manufacturer');
            $table->dropColumn('additional');
            $table->dropColumn('excerpt');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->dropColumn('features_repeater');
            $table->dropColumn('preview_image');
            $table->dropColumn('cover');
            $table->dropColumn('price');
            $table->dropColumn('video_link');
            $table->dropColumn('video_poster');
            $table->dropColumn('video_caption');
            $table->dropColumn('accordion_repeater');
            $table->dropColumn('gallery_repeater');
            $table->dropColumn('contact_name');
            $table->dropColumn('contact_phone');
            $table->dropColumn('contact_email');
            $table->dropColumn('contact_title');
            $table->text('description')->nullable();
            $table->text('file')->nullable();
            $table->text('sku');
            $table->text('specifications');
            $table->text('benefits');
            $table->text('manufacturer');
            $table->text('additional');
            $table->text('excerpt');
        });
    }
}
