<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsCatalogProduct22 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->text('location');
            $table->text('status');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->dropColumn('location');
            $table->dropColumn('status');
        });
    }
}
