<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsCatalogProduct23 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->text('contact_slogan');
            $table->text('contact_image');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->dropColumn('contact_slogan');
            $table->dropColumn('contact_image');
        });
    }
}
