<?php namespace Buzmate\Panthermiki\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateBuzmatePanthermikiProducts8 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->text('sku');
            $table->text('specifications');
            $table->text('benefits');
            $table->text('manufacturer');
            $table->text('additional');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product', function($table)
        {
            $table->dropColumn('sku');
            $table->dropColumn('specifications');
            $table->dropColumn('benefits');
            $table->dropColumn('manufacturer');
            $table->dropColumn('additional');
        });
    }
}
