<?php namespace Buzmate\Panthermiki\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateBuzmatePanthermikiProductCategories10 extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_product_category', function($table)
        {
            $table->text('slug')->nullable()->unsigned(false)->default(null)->change();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_product_category', function($table)
        {
            $table->string('slug', 10)->nullable()->unsigned(false)->default(null)->change();
        });
    }
}
