<?php namespace Webmors\Catalog\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsCatalogSection extends Migration
{
    public function up()
    {
        Schema::table('webmors_catalog_section', function($table)
        {
            $table->integer('tabsection_id');
            $table->integer('product_id');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_catalog_section', function($table)
        {
            $table->dropColumn('tabsection_id');
            $table->dropColumn('product_id');
        });
    }
}
