<?php namespace Webmors\Webconfig\Controllers;

use Backend\Classes\Controller;
use BackendMenu;

class Yachts extends Controller
{
    public $implement = [        'Backend\Behaviors\ListController',        'Backend\Behaviors\FormController'    ];
    
    public $listConfig = 'config_list.yaml';
    public $formConfig = 'config_form.yaml';

    public $requiredPermissions = [
        'CRUD' 
    ];

    public function __construct()
    {
        parent::__construct();
        BackendMenu::setContext('Webmors.Webconfig', 'main-menu-item', 'side-menu-item4');
    }
}
