<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsWebconfigPages extends Migration
{
    public function up()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->text('home_sailing_school_image')->nullable();
            $table->text('home_yacht_management_image')->nullable();
        });
    }
    
    public function down()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->dropColumn('home_sailing_school_image');
            $table->dropColumn('home_yacht_management_image');
        });
    }
}
