<?php namespace Webmors\Webconfig\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateWebmorsWebconfigPages6 extends Migration
{
    public function up()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->text('home_h1');
            $table->text('home_h2');
            $table->text('home_new_text');
            $table->text('home_services_text');
        });
    }
    
    public function down()
    {
        Schema::table('webmors_webconfig_pages', function($table)
        {
            $table->dropColumn('home_h1');
            $table->dropColumn('home_h2');
            $table->dropColumn('home_new_text');
            $table->dropColumn('home_services_text');
        });
    }
}
